Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.output
Class OutputFieldDirect

    java.lang.Object
      org.encog.util.normalize.output.BasicOutputField
          org.encog.util.normalize.output.OutputFieldDirect

All Implemented Interfaces:
  Serializable, OutputField

    public class OutputFieldDirect

extends BasicOutputField

A direct output field, will simply pass the input value to the output.

See Also:
  Serialized Form

Constructor Summary
`OutputFieldDirect()` Default constructor, used for reflection.
`OutputFieldDirect(InputField sourceField)` Construct a direct output field.

Method Summary
`double` | `calculate(int subfield)` Calculate the value for this field.
`int` | `getSubfieldCount()`
`void` | `rowInit()` Not needed for this sort of output field.
`String` | `toString()`

Methods inherited from class org.encog.util.normalize.output.BasicOutputField
`isIdeal, setIdeal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputFieldDirect

    public OutputFieldDirect(InputField sourceField)

  Construct a direct output field.

  Parameters:
    `sourceField` - The source field to pass directly on.

### OutputFieldDirect

    public OutputFieldDirect()

  Default constructor, used for reflection.

Method Detail

### calculate

    public double calculate(int subfield)

  Calculate the value for this field. This will simply be the value from the input field.

  Parameters:
    `subfield` - Not used, as this output field type does not support subfields.
  Returns:
    The calculated value for this field.

### getSubfieldCount

    public int getSubfieldCount()

  Returns:
    Always returns 1, as subfields are not used.

### rowInit

    public void rowInit()

  Not needed for this sort of output field.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.